Pickpack – Get Order Detail
Retrieve a single pickpack order details
Endpoint
GET /v1/pickpack/detail
Request
Header Parameters
| Parameter | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer YOUR_ACCESS_TOKEN | Bearer access token used for authentication. |
Content-Type | string | Yes | application/json | Request body content type. |
Query / Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
order_id | int | Yes (unless using path) | Order ID. If omitted from query, you can use /v1/pickpack/detail/{order_id}. |
Example request
curl -X GET "${API_URL}/v1/pickpack/detail?order_id=3550646" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json"
Responses
200 Success
200 Success
Response schema:
application/jsondatajson-stringPickpack detail response wrapper.
data
json-string
Pickpack detail response wrapper.
orderjson-stringSingle pickpack order with parcel snapshot and related documents.
order
json-string
Single pickpack order with parcel snapshot and related documents.
order_id
string
Order ID.
Example:
3550646customer_eid
string
Customer ID.
Example:
1234567890status
string
Pickpack status code.
Common values:
PICKPACK_PENDING_CONFIRM, PICKPACK_CONFIRMED, PICKPACK_READY_TO_SHIPMENT, PICKPACK_CANCELLED, PICKPACK_REJECTED.Example:
PICKPACK_PENDING_CONFIRMis_require_repack
string
Whether this order requires re-pack.
Values:
Y or N.Example:
Nreject_typestringReject type when order is rejected.
reject_type
string
Reject type when order is rejected.
Supported values:
| Value | Description |
|---|---|
OUT_OF_STOCK | Rejected due to out of stock. |
OTHERS | Other reject reason. |
reject_reason
string
Reject reason.
tracking_number
string
Tracking number when created.
Example:
SF123456789courier_company
string
Courier display name.
Example:
SF Expressshipment_detailjson-stringParcel dimensions, weights, and declaration lines.
shipment_detail
json-string
Parcel dimensions, weights, and declaration lines.
parcel_listjson-stringArray of parcel snapshots.
parcel_list
json-string
Array of parcel snapshots.
tracking_number
string
Parcel-level tracking number from the matched order item.
Example:
SF123456789length
string
Parcel length (stringified).
Example:
23width
string
Parcel width (stringified).
Example:
14height
string
Parcel height (stringified).
Example:
10act_weight
string
Actual weight (stringified).
Example:
0.5declaration_listjson-stringDeclaration lines per parcel, built from app_tbl_declare by item_id (includes SKU).
declaration_list
json-string
Declaration lines per parcel, built from app_tbl_declare by item_id (includes SKU).
custom_declare_fulldesc
string
Item description. Empty when unavailable.
Example:
Shirtcustom_qty
string
Quantity (stringified).
Example:
2custom_single_price
string
Unit price (stringified).
Example:
12.5custom_hscode
string
HS code. Empty when unavailable.
Example:
610910custom_unit
string
Unit. Empty when unavailable.
Example:
PCScustom_single_weight
string
Single weight (stringified). Empty when unavailable.
Example:
0.2custom_origin
string
Country of origin. Empty when unavailable.
Example:
CNcurrency
string
Currency. Empty when unavailable.
Example:
USDcustom_with_battery
string
Battery flag. Empty when unavailable.
Example:
Nbattery_type
string
Battery type. Empty when unavailable.
battery_location
string
Battery location. Empty when unavailable.
sku
string
SKU. Empty when unavailable.
Example:
SKU-123bar_code_eid
string
Barcode EID. Empty when unavailable.
Example:
BARCODE-001is_require_battery_label
string
Whether this parcel needs a battery label.
Values:
Y or N.Example:
Ybattery_label_types
string
Battery label type(s) to print for this parcel, comma-separated when multiple.
Example:
UN3091,UN3481related_documentsjson-string | stringBattery label document for this parcel. Returns document payload when required, otherwise empty string.
related_documents
json-string | string
Battery label document for this parcel. Returns document payload when required, otherwise empty string.
format
string
File format. Usually
pdf.encoding
string
Encoding. Usually
base64.content
string
Base64 encoded battery label file content.
pickup_detailjson-stringPickup info. Populated when status = PICKPACK_READY_TO_SHIPMENT; otherwise empty array.
pickup_detail
json-string
Pickup info. Populated when
status = PICKPACK_READY_TO_SHIPMENT; otherwise empty array.pickup_date
string
Pickup date.
Example:
2026-04-10pickup_session
string
Pickup session display text.
Example:
14:00 - 18:00pickup_number
string
Pickup reference number.
Example:
PU240910001is_pickup_document_required
string
Whether pickup-related document must be provided.
Values:
Y or N.Example:
Yrelated_documentsjson-stringPickup-related document payload.
related_documents
json-string
Pickup-related document payload.
format
string
File format. Usually
pdf.encoding
string
Encoding. Usually
base64.content
string
Base64 encoded file content.
related_documentsjson-stringRelated documents (base64 PDF).
related_documents
json-string
Related documents (base64 PDF).
format
string
File format. Always
pdf.Example:
pdfencoding
string
Encoding. Always
base64.Example:
base64content
string
Base64 content of related documents.
Example:
JVBERi0xLjQKJ... (truncated)request_datetime
string
Pickpack request time.
Example:
2024-02-01 10:12:20update_datetime
string
Pickpack update time.
Example:
2024-02-01 10:20:00Response sample
{
"data": {
"order": {
"order_id": "3579453",
"customer_eid": "7203420418",
"status": "PICKPACK_PENDING_CONFIRM",
"is_require_repack": "N",
"reject_type": "",
"reject_reason": "",
"tracking_number": "1ZB87K336714504012",
"courier_company": "UPS",
"shipment_detail": {
"parcel_list": [
{
"tracking_number": "1ZB87K336714504012",
"length": "12",
"width": "14",
"height": "10",
"act_weight": "2",
"declaration_list": [
{
"custom_declare_fulldesc": "Earphone Case A(UN3091,P.I.969-II)",
"custom_qty": "1",
"custom_single_price": "9.97",
"custom_hscode": "4202999000",
"custom_unit": "Pieces",
"custom_single_weight": "1.00",
"custom_origin": "HK",
"currency": "USD",
"custom_with_battery": "Y",
"battery_type": "nonchargeable",
"battery_location": "outside",
"sku": "aBC",
"bar_code_eid": "aBC"
},
{
"custom_declare_fulldesc": "Earphone Case B(UN3481,P.I.967-II)",
"custom_qty": "1",
"custom_single_price": "9.97",
"custom_hscode": "4202999000",
"custom_unit": "Pieces",
"custom_single_weight": "1.00",
"custom_origin": "HK",
"currency": "USD",
"custom_with_battery": "Y",
"battery_type": "chargeable",
"battery_location": "inside",
"sku": "aBC",
"bar_code_eid": "aBC"
}
],
"is_require_battery_label": "Y",
"battery_label_types": "UN3091,UN3481",
"related_documents": {
"format": "pdf",
"encoding": "base64",
"content": "JVBERi0xLjQKJ..."
}
},
{
"tracking_number": "1ZB87K336710058628",
"length": "12",
"width": "14",
"height": "10",
"act_weight": "2",
"declaration_list": [
{
"custom_declare_fulldesc": "Earphone Case C",
"custom_qty": "1",
"custom_single_price": "9.97",
"custom_hscode": "4202999000",
"custom_unit": "Pieces",
"custom_single_weight": "1.00",
"custom_origin": "HK",
"currency": "USD",
"custom_with_battery": "N",
"battery_type": "",
"battery_location": "",
"sku": "aBC",
"bar_code_eid": "aBC"
}
],
"is_require_battery_label": "N",
"battery_label_types": "",
"related_documents": ""
}
]
},
"pickup_detail": [],
"related_documents": {
"format": "pdf",
"encoding": "base64",
"content": "JVBERi0xLjQKJ..."
},
"request_datetime": "2026-04-16 11:00:22",
"update_datetime": "2026-04-16 11:01:02"
},
"message": "OK"
}
}
Response sample (status: PICKPACK_READY_TO_SHIPMENT)
{
"data": {
"order": {
"order_id": "3550646",
"customer_eid": "1234567890",
"status": "PICKPACK_READY_TO_SHIPMENT",
"is_require_repack": "Y",
"reject_type": "",
"reject_reason": "",
"tracking_number": "SF123456789",
"courier_company": "SF Express",
"shipment_detail": {
"parcel_list": [
{
"tracking_number": "SF123456789",
"length": "23",
"width": "14",
"height": "10",
"act_weight": "0.5",
"declaration_list": [
{
"custom_declare_fulldesc": "飾物",
"custom_qty": "1",
"custom_single_price": "1",
"custom_hscode": "",
"custom_unit": "",
"custom_single_weight": "",
"custom_origin": "",
"currency": "HKD",
"custom_with_battery": "N",
"battery_type": "",
"battery_location": "",
"sku": "",
"bar_code_eid": ""
}
],
"is_require_battery_label": "N",
"battery_label_types": "",
"related_documents": ""
}
]
},
"pickup_detail": {
"pickup_date": "2026-04-10",
"pickup_session": "14:00 - 18:00",
"pickup_number": "PU240910001",
"is_pickup_document_required": "Y",
"related_documents": {
"format": "pdf",
"encoding": "base64",
"content": "JVBERi0xLjQKJ..."
}
},
"related_documents": {
"format": "pdf",
"encoding": "base64",
"content": "JVBERi0xLjQKJ..."
},
"request_datetime": "2026-04-09 12:12:20",
"update_datetime": "2026-04-09 12:20:00"
}
}
}
400 Bad Request
400 Bad Request
Response schema:
application/jsonerror.code
string
Error code.
Example:
400000error.code_reason
string
Error reason.
Example:
BAD_REQUESTerror.message
string
Human-readable message.
Example:
Bad Requesterror.error_tracearrayList of validation errors.
error.error_trace
array
List of validation errors.
field
string
Request field that failed.
Example:
order_idmessage
string
Human-readable message.
Example:
order_id is requiredResponse sample
{
"error": {
"code": "400000",
"code_reason": "BAD_REQUEST",
"message": "Bad Request",
"error_trace": [
{
"field": "order_id",
"message": "order_id is required"
}
]
}
}
401 Unauthorized
401 Unauthorized
Response schema:
application/jsoncode
string
Error code.
Example:
401000code_reason
string
Error reason.
Example:
UNAUTHORIZEDmessage
string
Human-readable message.
Example:
Unauthorized{
"error": {
"code": "401000",
"code_reason": "UNAUTHORIZED",
"message": "Unauthorized"
}
}
403 Forbidden
403 Forbidden
Response schema:
application/jsonerror
json-string
Access forbidden for this resource.
404 Not Found
404 Not Found
Response schema:
application/jsonerror
json-string
Resource or endpoint not found.
500 Failure
500 Failure
Response schema:
application/jsoncode
string
Error code.
Example:
500999code_reason
string
Error reason.
Example:
API_ERRORmessage
string
Human-readable message.
Example:
Api Error, please contact customer service{
"error": {
"code": "500999",
"code_reason": "API_ERROR",
"message": "Api Error, please contact customer service"
}
}